Subject: Re: [PATCH] Add wireless statics to bcm43xx-d80211

From: Johannes Berg <[email-masked]>
Date: Wed, 23 Aug 2006 09:54:04 +0200

On Tue, 2006-08-22 at 16:15 -0500, Larry Finger wrote:
> >> +	int maxssi;
> > 
> > Why is maxssi here? Can it really change between received frames?
> 
> No it cannot change between frames; however, the max value can be very different for different 
> drivers using d80211. On the bcm43xx, it is 60; whereas 100 seems to be a better value for the 
> rt2x00 chips. Adding it here seemed like a good way to handle this situation. Do you suggest 
> something else?

I think the question was intended to be: "why is it in
ieee80211_rx_status and not in struct ieee80211_hw?"

> Again to pass the differing values for different drivers.

Ditto here. Just stick it into struct ieee80211_hw instead.

> > I would suggest using -110 dBm as a floor (to be compatible with RCPI
> > definition, see mail from Simon Barber describing it). Or is there any
> > particular reason for -104 dBm?
> 
> It is the value previously used in the softmac version of bcm43xx. A value of -110 would obviously 
> be better.

Who maintains the softmac version now? :P
I'd suggest to just change it there too for consistency.

johannes